org.apache.struts2.views.gxp

## Class GxpInstance

- java.lang.Object
- - org.apache.struts2.views.gxp.AbstractGxp<com.google.gxp.html.HtmlClosure>
  - - org.apache.struts2.views.gxp.Gxp
    - - org.apache.struts2.views.gxp.GxpInstance

-     public class GxpInstance
      extends Gxp

  Struts 2 to GXP adapter that uses instances of GXP Interfaces, as created by the `ObjectFactory`. Can be used to write a GXP or create a HtmlClosure. Pulls non-constructor GXP parameters from Struts 2 value stack.
  Author:
    David P. Baker

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getGxpClass()`
    `protected Object` | `getGxpInstance()`
    `static GxpInstance` | `getInstance(Class gxpClass)` Looks up `GxpInstance` instance for the given GXP class.
    `static GxpInstance` | `getInstance(String gxpPath)` Looks up Gxp instance for GXP with given path.
    `void` | `setObjectFactory(ObjectFactory objectFactory)`

    - ### Methods inherited from class org.apache.struts2.views.gxp.AbstractGxp

      `getArgs, getGxpClassForPath, getGxpClosure, getGxpClosure, getOverrides, getParams, lookupMethodByName, setValueStackFactory, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getGxpInstance

          protected Object getGxpInstance()

      This implementation uses the `ObjectFactory` to try to create an instance of the `Interface` class that is nested within the GXP class. If that doesn't work, it falls back to trying to use the `ObjectFactory` to create an instance of the nested `Instance` class, in case there is no binding for the `Interface`.

      Overrides:
        `getGxpInstance` in class `AbstractGxp<com.google.gxp.html.HtmlClosure>`
      Returns:
        Gxp instance

    - #### getGxpClass

          public Class<?> getGxpClass()

      Overrides:
        `getGxpClass` in class `AbstractGxp<com.google.gxp.html.HtmlClosure>`

    - #### getInstance

          public static GxpInstance getInstance(String gxpPath)

      Looks up Gxp instance for GXP with given path.
      Parameters:
        `gxpPath` - Gxp path
      Returns:
        Gxp instance

    - #### getInstance

          public static GxpInstance getInstance(Class gxpClass)

      Looks up `GxpInstance` instance for the given GXP class.
      Parameters:
        `gxpClass` - Gxp class
      Returns:
        Gxp instance

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory objectFactory)

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.